ForceFields::CrystalFF Namespace Reference

## Classes

struct | CrystalFFDetails
class | TorsionAngleContribM6
| the torsion term for multiplicity m = 1 - 6 More...

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT double | calcTorsionEnergyM6 (const std::vector< double > &V, const std::vector< int > &signs, const double cosPhi)
| calculates and returns the torsional energy More...
RDKIT_FORCEFIELDHELPERS_EXPORT void | getExperimentalTorsions (const RDKit::ROMol &mol, CrystalFFDetails &details, bool useExpTorsions=false, bool useBasicKnowledge=false, unsigned int version=1, bool verbose=false)
| Get the experimental torsional angles in a molecule. More...

## Function Documentation

## calcTorsionEnergyM6()

RDKIT_FORCEFIELDHELPERS_EXPORT double ForceFields::CrystalFF::calcTorsionEnergyM6 | ( | const std::vector< double > & | V,
|  | const std::vector< int > & | signs,
|  | const double | cosPhi
| ) |  |

calculates and returns the torsional energy

## getExperimentalTorsions()

RDKIT_FORCEFIELDHELPERS_EXPORT void ForceFields::CrystalFF::getExperimentalTorsions | ( | const RDKit::ROMol & | mol,
|  | CrystalFFDetails & | details,
|  | bool | useExpTorsions = `false`,
|  | bool | useBasicKnowledge = `false`,
|  | unsigned int | version = `1`,
|  | bool | verbose = `false`
| ) |  |

Get the experimental torsional angles in a molecule.